﻿using SampleScheduleCRUD.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.IO;
using System.Web.Mvc;
using System.Web.Routing;
using System.Collections;


namespace SampleScheduleCRUD
{
    public partial class ScheduleController : Controller
    {
        ScheduleDataDataContext db = new ScheduleDataDataContext();
        public ActionResult ScheduleFeatures()
        {
            List<Tasks> Task = new List<Tasks>();
            Task.Add(new Tasks(1, "BackLog", "Analyze the new requirements gathered from the customer.", "holiday", "Nancy", "BackLog"));
            Task.Add(new Tasks(2, "Doing", "Improve application performance", "holiday", "Andrew Fuller", "Doing"));
            Task.Add(new Tasks(3, "Doing", "Arrange a web meeting with the customer to get new requirements.", "holiday", "Janet", "Doing"));
            Task.Add(new Tasks(4, "Done", "Fix the issues reported in the IE browser.", "holiday","Janet", "Done"));
            Task.Add(new Tasks(5, "Testing", "Fix the issues reported by the customer.", "holiday","Steven walker", "Testing"));
            ViewBag.datasource = Task;
            return View();

        }
      
       
    }
    [Serializable]
    public class Tasks
    {
        public Tasks()
        {
        }
        public Tasks(int Id, string Status, string Summary, string ImgUrl, string Assignee, string Type)
        {
            this.Id = Id;
            this.Status = Status;
            this.Summary = Summary;
            this.Assignee = Assignee;
            this.Type = Type;
            this.ImgUrl = ImgUrl;
        }
        public int Id { get; set; }
        public string Status { get; set; }
        public string Summary { get; set; }
        public string Type { get; set; }
        public string ImgUrl { get; set; }
        public string Assignee { get; set; }
    }
}
